Package org.springframework.security.config.web.server

# Class AbstractServerWebExchangeMatcherRegistry<T>

java.lang.Object
org.springframework.security.config.web.server.AbstractServerWebExchangeMatcherRegistry<T>

Direct Known Subclasses:
  `ServerHttpSecurity.AuthorizeExchangeSpec`

public abstract class AbstractServerWebExchangeMatcherRegistry<T> extends Object

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`T`
`anyExchange()`
Maps any request.
`protected org.springframework.web.util.pattern.PathPatternParser`
`getPathPatternParser()`
`T`
`matchers(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher... matchers)`
Associates a list of `ServerWebExchangeMatcher` instances
`T`
`pathMatchers(String... antPatterns)`
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances that do not care which `HttpMethod` is used.
`T`
`pathMatchers(org.springframework.http.HttpMethod method)`
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances.
`T`
`pathMatchers(org.springframework.http.HttpMethod method, String... antPatterns)`
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances.
`protected abstract T`
`registerMatcher(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher matcher)`
Subclasses should implement this method for returning the object that is chained to the creation of the `ServerWebExchangeMatcher` instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### anyExchange

public T anyExchange()
Maps any request.

Returns:
  the object that is chained after creating the `ServerWebExchangeMatcher`

### pathMatchers

public T pathMatchers(org.springframework.http.HttpMethod method)
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances.

Parameters:
  `method` - the `HttpMethod` to use for any `HttpMethod`.
Returns:
  the object that is chained after creating the `ServerWebExchangeMatcher`

### pathMatchers

public T pathMatchers(org.springframework.http.HttpMethod method, String... antPatterns)
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances.

Parameters:
  `method` - the `HttpMethod` to use or `null` for any `HttpMethod`.
  `antPatterns` - the ant patterns to create. If `null` or empty, then matches on nothing. `PathPatternParserServerWebExchangeMatcher` from
Returns:
  the object that is chained after creating the `ServerWebExchangeMatcher`

### pathMatchers

public T pathMatchers(String... antPatterns)
Maps a `List` of `PathPatternParserServerWebExchangeMatcher` instances that do not care which `HttpMethod` is used.

Parameters:
  `antPatterns` - the ant patterns to create `PathPatternParserServerWebExchangeMatcher` from
Returns:
  the object that is chained after creating the `ServerWebExchangeMatcher`

### matchers

public T matchers(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher... matchers)
Associates a list of `ServerWebExchangeMatcher` instances

Parameters:
  `matchers` - the `ServerWebExchangeMatcher` instances
Returns:
  the object that is chained after creating the `ServerWebExchangeMatcher`

### registerMatcher

protected abstract T registerMatcher(org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher matcher)
Subclasses should implement this method for returning the object that is chained to the creation of the `ServerWebExchangeMatcher` instances.

Parameters:
  `matcher` - the `ServerWebExchangeMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `ServerWebExchangeMatcher`

### getPathPatternParser

protected org.springframework.web.util.pattern.PathPatternParser getPathPatternParser()